within FlueGasTreatment.Reactions.SCM.Templates;
partial model PartialSCM
   extends ThermalPower.FlueGasTreatment.Internal.Icons.ReactionModel;
   replaceable package Gas =
      ThermalPower.FlueGasTreatment.Internal.Media.Gases.ReactionGas_withAsh
    constrainedby ThermalPower.SeparationProcess.Media.Templates.Gas
                                            "Reacting gas properties"
    annotation (choicesAllMatching);

  //inputs and outputs
  input Modelon.Media.Units.Pressure p=101340 "Pressure"
    annotation (dialog(Enable=true));
  input Modelon.Media.Units.Temperature T=453.15 "Reaction temperature"
    annotation (dialog(Enable=true));
   output Modelica.Units.SI.HeatFlowRate Q=0 "Reaction heat, only if not included in enthalpy";

  annotation (Icon(coordinateSystem(preserveAspectRatio=false)), Diagram(
        coordinateSystem(preserveAspectRatio=false)));
end PartialSCM;
