within FlueGasTreatment.Reactions;
model SCR "Selective catalyst reaction"

  //DENOX: 4NO+4NH3+O2-->4N2+6H2O T = 493.15

  import ThermalPower.FlueGasTreatment.Internal.Conversion.to_J;

  extends ThermalPower.FlueGasTreatment.DeNOx.Reaction.SCR_linearchange(
    omega_am=210/2,
    dep_gamma=0.405,
    dep_theta_am=0.121,
    E_no=to_J(14.2),
    E_d0=to_J(23),
    k_no0=1e6,
    k_d0=2e5,
 k_a0=0.6);


end SCR;
