within FlueGasTreatment.Records.Data;
record SCM_sorbent_CaOH2_SO2HCl
  /*
  Sorbent: Ca(OH)2
  product 1: CaCSO2    
  product 2: CaCl2
  */
  import Modelon.Media.DataDefinitions.NasaData;
  extends ThermalPower.FlueGasTreatment.Records.Data.SCM_sorbent_NaHCO3_SO2_HCl(
    M_p_2=NasaData.CaCL2.MM,
    RC_HCl=2,
    RC_SO2=1,
    RC_NaCl=1,
    RC_Na2SO3=1,
    r0=3.5e-06/4,
    M_p=0.12014,
    M_s=NasaData.Ca_OH_2.MM,
    rho_s=2000);
end SCM_sorbent_CaOH2_SO2HCl;
